property pJumpButtonsWnd, pTicketCountWnd

on construct me
pJumpButtonsWnd = "pool_helpbuttons"
pTicketCountWnd = "pool_ticketcount"
registerMessage(#sendVoteSign, me.getID(), #sendSign)
return(1)
end

on deconstruct me
unregisterMessage(#sendVoteSign, me.getID())
if objectExists(#jumpingpelle_obj) then -- jump 9
removeObject(#jumpingpelle_obj)
end if -- jump 9 landing
if objectExists(#playpackpelle_obj) then -- jump 9
removeObject(#playpackpelle_obj)
end if -- jump 9 landing
if objectExists(#poolclouds) then -- jump 9
removeObject(#poolclouds)
end if -- jump 9 landing
if visualizerExists(#pooltower) then -- jump 9
removeVisualizer(#pooltower)
end if -- jump 9 landing
if windowExists(pJumpButtonsWnd) then -- jump 9
removeWindow(pJumpButtonsWnd)
end if -- jump 9 landing
if windowExists(pTicketCountWnd) then -- jump 9
removeWindow(pTicketCountWnd)
end if -- jump 9 landing
pJumpinPelleObj = void()
return(1)
end

on openUimakoppi me
me.getInterface().openUimakoppi()
end

on closeUimaKoppi me
me.getInterface().closeUimaKoppi()
end

on poolUpView me, tMode
if not visualizerExists(#pooltower) then -- jump 26
createVisualizer(#pooltower, "pool_tower.room")
getVisualizer(#pooltower).moveZ(19000000)
end if -- jump 26 landing
if not objectExists(#poolclouds) then -- jump 11
createObject(#poolclouds, "poolClouds Class")
end if -- jump 11 landing
executeMessage(#hide_messenger)
executeMessage(#hide_navigator)
end

on poolDownView me
if windowExists(pJumpButtonsWnd) then -- jump 9
removeWindow(pJumpButtonsWnd)
end if -- jump 9 landing
if windowExists(pTicketCountWnd) then -- jump 9
removeWindow(pTicketCountWnd)
end if -- jump 9 landing
if objectExists(#poolclouds) then -- jump 9
removeObject(#poolclouds)
end if -- jump 9 landing
if visualizerExists(#pooltower) then -- jump 9
removeVisualizer(#pooltower)
end if -- jump 9 landing
end

on jumpingPlaceOk me
me.getInterface().deactivateChatField()
getConnection(getVariable("connection.room.id")).send("JUMPSTART")
me.poolUpView("jump")
createWindow(pJumpButtonsWnd, "ph_instructions.window", 20, 20)
tWndObj = getWindow(pJumpButtonsWnd)
tWndObj.registerClient(me.getID())
tWndObj.moveZ(19000040)
tWndObj.lock()
tPelleKeys = getVariableValue("swimjump.key.list")
if tPelleKeys.ilk <> #propList then -- jump 58
error(me, "Couldn't retrieve keymap for jump! Using default keys.", #jumpingPlaceOk)
tPelleKeys = [#run1: "A", #run2: "D", #dive1: "W", #dive2: "E", #dive3: "A", #dive4: "S", #dive5: "D", #dive6: "Z", #dive7: "X", #jump: "SPACE"]
end if -- jump 58 landing
i = 1
if i <= 9 then -- jump 35 -- backjump 38 landing
tWndObj.getElement("ph_ui_text_" & i).setText(tPelleKeys[i])
i = 1 + i
 -- backjump 38
end if -- jump 35 landing
tUserName = GetObject(#session).GET("user_name")
tFigure = getThread(#room).getComponent().getOwnUser().getPelleFigure()
createObject(#jumpingpelle_obj, "Jumping Pelle Class", "Pelle KeyDown Class")
GetObject(#jumpingpelle_obj).Init(tUserName, tFigure, 0)
return(1)
end

on jumpPlayPack me, tMsg
if objectExists(#jumpingpelle_obj) then -- jump 9
removeObject(#jumpingpelle_obj)
end if -- jump 9 landing
if not objectExists(#playpackpelle_obj) then -- jump 13
createObject(#playpackpelle_obj, "Jumping Pelle Class", "Pelle Player Class")
end if -- jump 13 landing
tUserObj = getThread(#room).getComponent().getUserObject(tMsg[#index])
tFigure = call(#getPelleFigure, [tUserObj])
if not listp(tFigure) then -- jump 8
return(0)
end if -- jump 8 landing
if tMsg[#index]  = GetObject(#session).GET("user_index") then -- jump 11
me.poolUpView("playback")
end if -- jump 11 landing
GetObject(#playpackpelle_obj).Init(tUserObj.getName(), tFigure, 1)
GetObject(#playpackpelle_obj).initPlayer(tUserObj.getName(), tMsg[#jumpdata])
if objectExists(#pool_fuse_screen) then -- jump 19
GetObject(#pool_fuse_screen).fuseShow_showtext(tUserObj.getName())
end if -- jump 19 landing
end

on sendSign me, tSign
getConnection(getVariable("connection.room.id")).send("SIGN", tSign)
end

on sendJumpPerf me, tJumpData
if not objectExists("Figure_System_Pool") then -- jump 17
return(error(me, "Figure system Pool object not found", #sendJumpPerf))
end if -- jump 17 landing
getConnection(getVariable("connection.room.id")).send("JUMPPERF", tJumpData)
end
