property pAnimCounter, pAnimList, pCurrentFrame, pCurtainsLocZ, pSplashs, pArrowCursor, pBalloonRightMargin

on construct me
pSplashs = [:]
initThread("thread.pelle")
return(1)
end

on deconstruct me
closeThread(#pellehyppy)
removeUpdate(me.getID())
if objectExists(#waterripples) then -- jump 10
removeObject(#waterripples)
end if -- jump 10 landing
if objectExists(#poolliftdoor) then -- jump 10
removeObject(#poolliftdoor)
end if -- jump 10 landing
if objectExists(#pool_fuse_screen) then -- jump 9
removeObject(#pool_fuse_screen)
end if -- jump 9 landing
pSplashs = [:]
if objectExists(#pool_bigSplash) then -- jump 10
removeObject(#pool_bigSplash)
end if -- jump 10 landing
return(me.removeArrowCursor())
end

on prepare me
createObject(#pool_fuse_screen, "FUSE screen Class")
pSplashs = [:]
f = 0
if f <= 2 then -- jump 136 -- backjump 139 landing
tProps = [:]
pSplashs.addProp("Splash" & f, createObject(#temp, "AnimSprite Class"))
tProps[#visible] = 0
tProps[#AnimFrames] = 10
tProps[#startFrame] = 0
tProps[#MemberName] = "splash_"
tProps[#id] = "Splash" & f
tProps[#loc] = point(the stageRight + 1000, 0)
pSplashs["Splash" & f].setData(tProps)
f = 1 + f
 -- backjump 139
end if -- jump 136 landing
if not objectExists(#waterripples) then -- jump 12
createObject(#waterripples, "Water Ripple Effects Class")
end if -- jump 12 landing
if not objectExists(#poolliftdoor) then -- jump 12
createObject(#poolliftdoor, "Elevator Door Class")
end if -- jump 12 landing
if objectExists(#waterripples) then -- jump 16
GetObject(#waterripples).Init("vesi2")
end if -- jump 16 landing
tSpr = getThread(#room).getInterface().getRoomVisualizer().getSprById("jumpticketautomatic")
registerProcedure(tSpr, #eventProcJumpTicketAutomatic, me.getID(), #mouseDown)
 --PEEKFROMSTACK 2  --PEEKFROMSTACK 0  --PEEKFROMSTACK 0 if count(["pool_clickarea", "floor", "hiliter", "vesi2", "portaat1", "portaat3"]) <= 1 then -- jump 58 -- backjump 61 landing
 --PEEKFROMSTACK 2 
 --PEEKFROMSTACK 1 
[--nil--, --nil--]
getAt(-nil-)
tID = --nil--
tSpr = getThread(#room).getInterface().getRoomVisualizer().getSprById(tID)
registerProcedure(tSpr, #poolTeleport, me.getID(), #mouseDown)
--nil-- + 1
 -- backjump 61
end if -- jump 58 landing
 --TRIMFROMSTACK 3 
pArrowCursor = 0
if threadExists(#room) then -- jump 17
getThread(#room).getInterface().hideRoomBar()
end if -- jump 17 landing
getThread(#pellehyppy).getInterface().showRoomBar()
receiveUpdate(me.getID())
return(1)
end

on showprogram me, tMsg
if not getThread(#room).getComponent().pActiveFlag then -- jump 8
return(0)
end if -- jump 8 landing
if voidp(tMsg) then -- jump 8
return(0)
end if -- jump 8 landing
tDst = tMsg[#show_dest]
tCmd = tMsg[#show_command]
tPrm = tMsg[#show_params]
if tDst contains "cam" then -- jump 43
if not objectExists(#pool_fuse_screen) then -- jump 8
return(0)
end if -- jump 8 landing
call(symbol("fuseShow_" & tCmd), GetObject(#pool_fuse_screen), tPrm)
 -- jump 61
end if -- jump 43 landing
if tDst contains "Splash" then -- jump 16
me.splash(tDst, tCmd)
 -- jump 40
end if -- jump 16 landing
if tDst contains "door" then -- jump 32
me.delay(200, #elvatorDoor, [#dest: tDst, #command: tCmd])
 -- jump 3
end if -- jump 3 landing
end if -- jump 32 landing
end if -- jump 40 landing
end if -- jump 61 landing
end

on splash me, tDest, tCommand
if voidp(pSplashs[tDest]) then -- jump 8
return(0)
end if -- jump 8 landing
call(#Activate, pSplashs[tDest])
end

on elvatorDoor me, tProps
tDst = tProps[#dest]
tCmd = tProps[#command]
 --PEEKFROMSTACK 0 if tCmd  = "open" then -- jump 15
tmember = getMember("towerdoor_2")
 -- jump 20
end if -- jump 15 landing
 --PEEKFROMSTACK 0 
--nil--  = "close"
if --nil-- then -- jump 12
tmember = getMember("towerdoor_0")
end if -- jump 12 landing
end if -- jump 20 landing
 --TRIMFROMSTACK 1 
tVisObj = getThread(#room).getInterface().getRoomVisualizer()
if tVisObj  = 0 then -- jump 8
return(0)
end if -- jump 8 landing
tVisObj.getSprById("lift_door").setMember(tmember)
end

on update me
if pSplashs.count > 0 then -- jump 12
call(#updateSplashs, pSplashs)
end if -- jump 12 landing
if pArrowCursor or the mouseH < 25 then -- jump 9
me.poolArrows()
end if -- jump 9 landing
end

on poolArrows me
tStartPos = [0, 13]
tloc = getThread(#room).getInterface().getGeometry().getWorldCoordinate(the mouseH, the mouseV)
if tloc.ilk <> #list then -- jump 13
return(me.removeArrowCursor())
end if -- jump 13 landing
if tStartPos[1] - tloc[1]  = tStartPos[2] - tloc[2] then -- jump 39
pArrowCursor = 1
cursor([member(getmemnum("cursor_arrow_l")), member(getmemnum("cursor_arrow_l_mask"))])
 -- jump 9
end if -- jump 39 landing
me.removeArrowCursor()
end if -- jump 9 landing
end

on removeArrowCursor me
pArrowCursor = 0
cursor(-1)
return(1)
end

on eventProcJumpTicketAutomatic me
if threadExists(#pellehyppy) then -- jump 17
return(executeMessage(#show_ticketWindow))
 -- jump 8
end if -- jump 17 landing
return(0)
end if -- jump 8 landing
end

on poolTeleport me, tEvent, tSprID, tParam
tMyIndex = GetObject(#session).GET("user_index")
if not getThread(#room).getComponent().userObjectExists(tMyIndex) then -- jump 8
return(0)
end if -- jump 8 landing
tloc = getThread(#room).getComponent().getUserObject(tMyIndex).getLocation()
getThread(#room).getInterface().eventProcRoom(tEvent, "floor", tParam)
if not tSprID contains "pool_clickarea" and tloc[3] < 7 then -- jump 93
if tloc[2] > 11 and tloc[1] < 20 then -- jump 35
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 17, #short: 22])
 -- jump 32
end if -- jump 35 landing
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 31, #short: 11])
end if -- jump 32 landing
 -- jump 98
end if -- jump 93 landing
if tSprID contains "pool_clickarea" and tloc[3]  = 7 then -- jump 78
if tloc[2] > 11 then -- jump 35
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 17, #short: 21])
 -- jump 32
end if -- jump 35 landing
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 31, #short: 10])
end if -- jump 32 landing
end if -- jump 78 landing
end if -- jump 98 landing
end
