property pSprite, pScrImg, pwidth, pheight, pVX, pVY, pTargetObj, pTargetSpr, pJumperObj, pXFactor, pZoom, pSpeed, pFlexible, pTransitBuffer, pTransitState, pTargetPoint, pLastCropPoint, pFadeSpeed, pTransition, pTextImgBuffer, pTextShowState, pTextShowTime, pTextBlend, StateOfAd, adShowTime, adMember, adLink, adIdNum, AdWaitScore, pWriterID

on construct me
pheight = 108
pwidth = 102
pVX = 0.0
pVY = 0.0
pXFactor = 32
pZoom = 4
pSpeed = 10.0
pFlexible = 50.0
pTransitState = 0
pTargetObj = void()
pTargetSpr = void()
pLastCropPoint = point(0, 0)
pSprite = getThread(#room).getInterface().getRoomVisualizer().getSprById("cam1")
pScrImg = member(getmemnum("fuse_screen")).image
pTargetSpr = pSprite
if memberExists("fuse_screen_logo") then -- jump 32
pScrImg.copyPixels(member(getmemnum("fuse_screen_logo")).image, pScrImg.rect, pScrImg.rect)
end if -- jump 32 landing
pTransition = 0
pTextShowState = 0
StateOfAd = 0
AdWaitScore = 0
adIdNum = void()
pWriterID = getUniqueID()
tMetrics = getStructVariable("struct.font.bold")
tMetrics.setaProp(#color, rgb("#FFFF99"))
tMetrics.setaProp(#bgColor, rgb(0, 0, 0))
if not createWriter(pWriterID, tMetrics) then -- jump 20
return(error(me, "Couldn't create writer for screen!", #construct))
 -- jump 52
end if -- jump 20 landing
getWriter(pWriterID).define([#alignment: #center, #rect: rect(0, 0, 108, 10)])
receivePrepare(me.getID())
return(1)
end if -- jump 52 landing
end

on deconstruct me
removeWriter(pWriterID)
removePrepare(me.getID())
return(1)
end

on fuseShow_setcamera me, tNumber
if pTransition <> "fade" then -- jump 7
pTransition = 0
end if -- jump 7 landing
if tNumber  = 1 then -- jump 8
pZoom = 2
end if -- jump 8 landing
if tNumber  = 2 then -- jump 8
pZoom = 4
end if -- jump 8 landing
end

on fuseShow_targetcamera me, tTrgUserID
if not getThread(#room).getComponent().userObjectExists(tTrgUserID) then -- jump 33
tTrgUserID = void()
pTargetSpr = pSprite
return(error(me, "User object not found:" && tTrgUserID, #fuseShow_targetcamera))
end if -- jump 33 landing
pTargetSpr = getThread(#room).getComponent().getUserObject(tTrgUserID).getSprites()[1]
pTargetObj = tTrgUserID
pSpeed = 50.0 + random(10)
pFlexible = 10.0 + random(20)
return(1)
end

on fuseShow_transition me, tTran
if StateOfAd  = 0 then -- jump 114
 --PEEKFROMSTACK 0 if tTran  = "cameraPan" then -- jump 50
pTransition = "cameraPan"
pTargetObj = void()
pSpeed = 5.0 + random(25)
pFlexible = 30.0 + random(20)
 -- jump 55
end if -- jump 50 landing
 --PEEKFROMSTACK 0 
--nil--  = "fade"
if --nil-- then -- jump 47
pTransition = "fade"
pTargetObj = void()
pTransitBuffer = image(pheight, pwidth, 16)
pTransitState = 0
pFadeSpeed = random(2) * 10
end if -- jump 47 landing
end if -- jump 55 landing
 --TRIMFROMSTACK 1 
end if -- jump 114 landing
end

on fuseShow_showtext me, tText
if StateOfAd  = 0 then -- jump 152
tDelim = the itemDelimiter
the itemDelimiter = "/"
if tText.count(#item) > 1 then -- jump 77
tTemp = EMPTY
f = 1
if f <= tText.count(#item) then -- jump 30 -- backjump 40 landing
tTemp = tTemp & tText.getProp(#item, f) & RETURN
f = 1 + f
 -- backjump 40
end if -- jump 30 landing
tText = tTemp.getProp(#line, 1, tTemp.count(#line) - 1)
end if -- jump 77 landing
the itemDelimiter = tDelim
tWriObj = getWriter(pWriterID)
if tWriObj <> 0 then -- jump 34
pTextShowState = 1
pTextImgBuffer = tWriObj.render(tText)
pTextShowTime = 12000 + the milliSeconds
pTextBlend = 100
end if -- jump 34 landing
end if -- jump 152 landing
end

on fuseShow_ad me, tFuse_s
adIdNum = tFuse_s.getProp(#word, 1)
adMember = tFuse_s.getProp(#word, 2)
adLink = tFuse_s.getProp(#word, 3)
pTextShowState = 0
end

on fuseShow_Activate_ad me
if not voidp(adMember) then -- jump 124
StateOfAd = 1
AdWaitScore = 0
pTransition = "fade"
pTargetObj = void()
pTransitState = 0
pFadeSpeed = 10
adShowTime = 12000 + the milliSeconds
pTransitBuffer = image(pheight, pwidth, 16)
pTransitBuffer.fill(rect(0, 0, pheight, pwidth), rgb(0, 0, 0))
if not voidp(pSprite) then -- jump 32
pSprite.cursor = [member(getmemnum("cursor.finger")), member(getmemnum("cursor.finger.mask"))]
end if -- jump 32 landing
end if -- jump 124 landing
end

on mouseDown me
if voidp(adLink) then -- jump 13
dontPassEvent()
return(0)
end if -- jump 13 landing
if -- GetOp 6 (6)me.spriteNum <> 0 then -- jump 39
if adLink contains "http:" then -- jump 11
openNetPage(adLink)
end if -- jump 11 landing
getConnection(getVariable("connection.info.id")).send("ADCLICK", adIdNum)
end if -- jump 39 landing
end

on prepare me
pJumperObj = void()
if objectExists(#playpackpelle_obj) then -- jump 15
pJumperObj = GetObject(#playpackpelle_obj)
 -- jump 21
end if -- jump 15 landing
if objectExists(#jumpingpelle_obj) then -- jump 12
pJumperObj = GetObject(#jumpingpelle_obj)
end if -- jump 12 landing
end if -- jump 21 landing
if not voidp(pJumperObj) then -- jump 130
if pJumperObj.pJumpReady then -- jump 13
pJumperObj = void()
 -- jump 111
end if -- jump 13 landing
if pJumperObj.pScreenUpOrDown  = #down then -- jump 52
bufferImage = void()
pZoom = 4
pTransitState = 0
me.cameraCrop(pJumperObj.pMyLoc - point(0, 2))
AdWaitScore = 1
StateOfAd = 0
 -- jump 49
end if -- jump 52 landing
if not voidp(pJumperObj.pPelleBgImg) then -- jump 35
member(getmemnum("fuse_screen")).image.copyPixels(pJumperObj.pPelleBgImg, pScrImg.rect, pScrImg.rect)
end if -- jump 35 landing
end if -- jump 49 landing
end if -- jump 111 landing
end if -- jump 130 landing
if voidp(pJumperObj) and pTextShowState  = 0 and StateOfAd  = 0 then -- jump 168
if pTransition  = 0 then -- jump 30
if not voidp(pTargetObj) then -- jump 16
me.cameraPan(pTargetSpr.loc)
end if -- jump 16 landing
 -- jump 130
end if -- jump 30 landing
 --PEEKFROMSTACK 0 if pTransition  = "cameraPan" then -- jump 30
if not voidp(pTargetObj) then -- jump 16
me.cameraPan(pTargetSpr.loc)
end if -- jump 16 landing
 -- jump 90
end if -- jump 30 landing
 --PEEKFROMSTACK 0 
--nil--  = "fade"
if --nil-- then -- jump 82
if not voidp(pTargetObj) then -- jump 71
if pSprite.member <> member(getmemnum("fuse_screen")) then -- jump 39
pSprite.member = member(getmemnum("fuse_screen"))
pSprite.cursor = 0
adIdNum = void()
adLink = void()
end if -- jump 39 landing
me.cameraFade(pTargetSpr.loc)
end if -- jump 71 landing
end if -- jump 82 landing
end if -- jump 90 landing
 --TRIMFROMSTACK 1 
end if -- jump 130 landing
 -- jump 24
end if -- jump 168 landing
if StateOfAd <> 0 and AdWaitScore  = 0 then -- jump 10
me.ad_system()
end if -- jump 10 landing
end if -- jump 24 landing
if pTextShowState <> 0 then -- jump 30
if voidp(pJumperObj) then -- jump 13
me.cameraCrop(pLastCropPoint)
end if -- jump 13 landing
me.showText()
end if -- jump 30 landing
end

on showText me
if pTextShowState < pTextImgBuffer.height then -- jump 71
pScrImg.copyPixels(member(getmemnum("fuse_screen.bgbox")).image, rect(0, pwidth - pTextShowState, pheight, pwidth), member(getmemnum("fuse_screen.bgbox")).rect, [#blend: 40])
pTextShowState = pTextShowState + 2
 -- jump 435
end if -- jump 71 landing
pTextShowState = pTextShowState + 20
textLocH = pTextImgBuffer.width - pTextShowState - pTextImgBuffer.height
if textLocH > 0 then -- jump 122
pScrImg.copyPixels(member(getmemnum("fuse_screen.bgbox")).image, rect(0, pwidth - pTextImgBuffer.height - 2, pheight, pwidth), member(getmemnum("fuse_screen.bgbox")).rect, [#blend: 40])
pScrImg.copyPixels(pTextImgBuffer, rect(textLocH, pwidth - pTextImgBuffer.height, pheight + textLocH, pwidth), pTextImgBuffer.rect, [#blend: 100 - textLocH - 8 - 20])
 -- jump 283
end if -- jump 122 landing
if the milliSeconds < pTextShowTime then -- jump 128
if pTextBlend > 80 then -- jump 12
pTextBlend = pTextBlend - 10
end if -- jump 12 landing
pScrImg.copyPixels(member(getmemnum("fuse_screen.bgbox")).image, rect(0, pwidth - pTextImgBuffer.height - 2, pheight, pwidth), member(getmemnum("fuse_screen.bgbox")).rect, [#blend: 40])
pScrImg.copyPixels(pTextImgBuffer, rect(0, pwidth - pTextImgBuffer.height, pheight, pwidth), pTextImgBuffer.rect, [#blend: pTextBlend])
 -- jump 149
end if -- jump 128 landing
if pTextBlend > 0 then -- jump 12
pTextBlend = pTextBlend - 8
end if -- jump 12 landing
if pTextBlend <= 0 then -- jump 11
pTextBlend = 0
pTextShowState = 0
end if -- jump 11 landing
pScrImg.copyPixels(member(getmemnum("fuse_screen.bgbox")).image, rect(0, pwidth - pTextImgBuffer.height - 2, pheight, pwidth), member(getmemnum("fuse_screen.bgbox")).rect, [#blend: integer(pTextBlend / 2)])
pScrImg.copyPixels(pTextImgBuffer, rect(0, pwidth - pTextImgBuffer.height, pheight, pwidth), pTextImgBuffer.rect, [#blend: pTextBlend])
end if -- jump 149 landing
end if -- jump 283 landing
end if -- jump 435 landing
end

on cameraPan me, tTransitionTargetPoint
tX = pLastCropPoint.locH
tY = pLastCropPoint.locV
tAX = tTransitionTargetPoint.locH - tX * pSpeed / 100
tAY = tTransitionTargetPoint.locV - tY * pSpeed / 100
pVX = pVX + tAX * pFlexible / 100
pVY = pVY + tAY * pFlexible / 100
tX = tX + pVX
tY = tY + pVY
me.cameraCrop(point(tX, tY))
end

on cameraFade me, tTransitionTargetPoint
me.cameraCrop(tTransitionTargetPoint, 1)
pTransitState = pTransitState + pFadeSpeed
pScrImg.copyPixels(pTransitBuffer, pTransitBuffer.rect, member(getmemnum("fuse_screen")).rect, [#blend: pTransitState])
if pTransitState > 99 then -- jump 7
pTransition = 0
end if -- jump 7 landing
end

on ad_system me
if pTransition <> 0 then -- jump 72
if pTextShowState  = 0 then -- jump 61
pTransitState = pTransitState + pFadeSpeed
pScrImg.copyPixels(pTransitBuffer, pTransitBuffer.rect, member(getmemnum("fuse_screen")).rect, [#blend: pTransitState])
if pTransitState > 99 then -- jump 7
pTransition = 0
end if -- jump 7 landing
end if -- jump 61 landing
 -- jump 122
end if -- jump 72 landing
if pSprite.member.name <> adMember then -- jump 19
pSprite.member = member(getmemnum(adMember))
end if -- jump 19 landing
if the milliSeconds > adShowTime then -- jump 82
StateOfAd = 0
pTransition = "fade"
pTargetObj = void()
pTransitBuffer = image(pheight, pwidth, 16)
pTransitBuffer.fill(rect(0, 0, pheight, pwidth), rgb(0, 0, 0))
pTransitState = 0
pFadeSpeed = 20
me.cameraCrop(pLastCropPoint, 1)
end if -- jump 82 landing
end if -- jump 122 landing
end

on cameraCrop me, tpoint, tBufferImage
pLastCropPoint = tpoint
if voidp(pTargetSpr) then -- jump 18
return(error(me, "Target sprite not defined!", #cameraCrop))
end if -- jump 18 landing
if voidp(pJumperObj) then -- jump 65
tpoint = tpoint + point(0, -18)
if pZoom  = 8 then -- jump 17
tpoint = tpoint + point(0, -6)
end if -- jump 17 landing
if pTargetSpr.flipH  = 0 then -- jump 17
tpoint = tpoint + point(pXFactor, 0)
end if -- jump 17 landing
end if -- jump 65 landing
if tpoint.locH - pheight / pZoom < 0 then -- jump 15
tpoint.locH = pheight / pZoom
end if -- jump 15 landing
if tpoint.locH + pheight / pZoom > the stageRight - the stageLeft then -- jump 27
tpoint.locH = the stageRight - the stageLeft - pheight / pZoom
end if -- jump 27 landing
if tpoint.locV - pwidth / pZoom < 0 then -- jump 15
tpoint.locV = pwidth / pZoom
end if -- jump 15 landing
if tpoint.locV + pwidth / pZoom > 480 then -- jump 19
tpoint.locV = 480 - pwidth / pZoom
end if -- jump 19 landing
tCropRect = rect(tpoint.locH - pheight / pZoom, tpoint.locV - pwidth / pZoom, tpoint.locH + pheight / pZoom, tpoint.locV + pwidth / pZoom)
tCropScrImg = the stage.image.crop(tCropRect)
if voidp(tBufferImage) then -- jump 31
pScrImg.copyPixels(tCropScrImg, rect(0, 0, pheight, pwidth), tCropScrImg.rect)
 -- jump 28
end if -- jump 31 landing
pTransitBuffer.copyPixels(tCropScrImg, rect(0, 0, pheight, pwidth), tCropScrImg.rect)
end if -- jump 28 landing
end
