property pWindowTitle, pSwimSuitIndex, pSwimSuitModel, pSwimSuitColor, pBottomBarId, pWindowName, pChatmode, pSelectedObj, pMessengerFlash, pNewMsgCount, pNewBuddyReq, pFloodblocking, pFloodTimer, pFloodEnterCount, pSignImg, pSignState, pOldPosH, pOldPosV, pPopupControllerID, pTypingTimeoutName

on construct me
pWindowTitle = "pellehyppy"
pBottomBarId = "RoomBarID"
pSignState = void()
pChatmode = "CHAT"
pPopupControllerID = "Pool_Bar_Popup_Controller"
pTypingTimeoutName = "typing_state_timeout"
if not objectExists("Figure_System_Pool") then -- jump 35
createObject("Figure_System_Pool", ["OLD Figure System Class"])
GetObject("Figure_System_Pool").define(["type": "member", "source": "swimfigure_ids_"])
end if -- jump 35 landing
return(removeWindow(pBottomBarId))
end

on deconstruct me
if timeoutExists(pTypingTimeoutName) then -- jump 10
removeTimeout(pTypingTimeoutName)
end if -- jump 10 landing
if objectExists("Figure_System_Pool") then -- jump 9
removeObject("Figure_System_Pool")
end if -- jump 9 landing
if objectExists(pPopupControllerID) then -- jump 9
removeObject(pPopupControllerID)
end if -- jump 9 landing
me.closeUimaKoppi()
me.hideRoomBar()
return(1)
end

on openUimakoppi me
pSwimSuitIndex = 1
if GetObject(#session).GET("user_sex")  = "F" then -- jump 10
pSwimSuitModel = "s01"
 -- jump 7
end if -- jump 10 landing
pSwimSuitModel = "s02"
end if -- jump 7 landing
me.getDefaultSwimSuitColor()
me.changeUimakoppiWindow("ph_swimsuit.window", "uimakoppi")
end

on closeUimaKoppi me
if windowExists("uimakoppi") then -- jump 13
pSwimSuitIndex = 1
removeWindow("uimakoppi")
end if -- jump 13 landing
end

on changeUimakoppiWindow me, tWindowName, tWindowTitle
if voidp(tWindowTitle) then -- jump 7
tWindowTitle = pWindowTitle
end if -- jump 7 landing
createWindow(tWindowTitle, tWindowName, void(), void(), #modal)
tWndObj = getWindow(tWindowTitle)
tWndObj.center()
tWndObj.moveBy(0, -40)
tWndObj.registerClient(me.getID())
tWndObj.registerProcedure(#eventProcUimakoppi, me.getID(), #mouseUp)
tWndObj.registerProcedure(#eventProcUimakoppi, me.getID(), #mouseDown)
tWndObj.registerProcedure(#eventProcUimakoppi, me.getID(), #keyDown)
me.createFigurePrew()
return(1)
end

on createFigurePrew me
if not objectExists("Figure_Preview") then -- jump 17
return(error(me, "Figure preview not found!", #createFigurePrew))
end if -- jump 17 landing
tFigure = GetObject(#session).GET("user_figure").duplicate()
tPredefinedParts = ["rh", "lh", "ch"]
 --PEEKFROMSTACK 2  --PEEKFROMSTACK 0  --PEEKFROMSTACK 0 if count(tPredefinedParts) <= 1 then -- jump 95 -- backjump 98 landing
 --PEEKFROMSTACK 2 
 --PEEKFROMSTACK 1 
[--nil--, --nil--]
getAt(-nil-)
tPrePart = --nil--
tOccurrenceCount = 0
tItemNo = 1
if tItemNo <= tFigure.count then -- jump 62 -- backjump 68 landing
tPartType = tFigure.getPropAt(tItemNo)
if tPartType  = tPrePart then -- jump 34
tOccurrenceCount = tOccurrenceCount + 1
if tOccurrenceCount > 1 then -- jump 19
tFigure.deleteAt(tItemNo)
tItemNo = tItemNo - 1
end if -- jump 19 landing
end if -- jump 34 landing
tItemNo = 1 + tItemNo
 -- backjump 68
end if -- jump 62 landing
--nil-- + 1
 -- backjump 98
end if -- jump 95 landing
 --TRIMFROMSTACK 3 
if GetObject(#session).GET("user_sex")  = "F" then -- jump 22
tFigure["ch"]["model"] = pSwimSuitModel
 -- jump 19
end if -- jump 22 landing
tFigure["ch"]["model"] = pSwimSuitModel
end if -- jump 19 landing
if voidp(pSwimSuitColor) then -- jump 11
pSwimSuitColor = rgb("#EEEEEE")
end if -- jump 11 landing
tWndObj = getWindow("uimakoppi")
tFigure["ch"]["color"] = pSwimSuitColor
tPartList = #swimmer
tHumanImg = GetObject("Figure_Preview").getHumanPartImg(tPartList, tFigure, 4, "sh")
if tWndObj.elementExists("ph_swimsuit.preview.img") then -- jump 120
tImgWidth = tWndObj.getElement("ph_swimsuit.preview.img").getProperty(#width)
tImgHeight = tWndObj.getElement("ph_swimsuit.preview.img").getProperty(#height)
tPrewImg = image(tImgWidth, tImgHeight, 16)
tMargins = rect(19, 0, 19, 0)
tdestrect = rect(0, tPrewImg.height - tHumanImg.height * 4, tHumanImg.width * 4, tPrewImg.height) + tMargins
tPrewImg.copyPixels(tHumanImg, tdestrect, tHumanImg.rect)
tWndObj.getElement("ph_swimsuit.preview.img").feedImage(tPrewImg)
end if -- jump 120 landing
if tWndObj.elementExists("ph_swimsuit.preview") then -- jump 19
tWndObj.getElement("ph_swimsuit.preview").setProperty(#bgColor, pSwimSuitColor)
end if -- jump 19 landing
end

on getDefaultSwimSuitColor me
if not objectExists("Figure_System_Pool") then -- jump 17
return(error(me, "Figure system Pool object not found", #getDefaultSwimSuitColor))
end if -- jump 17 landing
if GetObject(#session).GET("user_sex")  = "F" then -- jump 10
tSetID = 20
 -- jump 7
end if -- jump 10 landing
tSetID = 10
end if -- jump 7 landing
tPartProps = GetObject("Figure_System_Pool").getColorOfPartByOrderNum("ch", 1, tSetID, GetObject(#session).GET("user_sex"))
if tPartProps.ilk  = #propList then -- jump 21
tColor = rgb(tPartProps["color"])
pSwimSuitColor = tColor
end if -- jump 21 landing
end

on changeSwimSuitColor me, tPart, tButtonDir
if not objectExists("Figure_System_Pool") then -- jump 17
return(error(me, "Figure system Pool object not found", #changeSwimSuitColor))
end if -- jump 17 landing
if GetObject(#session).GET("user_sex")  = "F" then -- jump 10
tSetID = 20
 -- jump 7
end if -- jump 10 landing
tSetID = 10
end if -- jump 7 landing
tMaxValue = GetObject("Figure_System_Pool").getCountOfPartColors(tPart, tSetID, GetObject(#session).GET("user_sex"))
if tButtonDir  = 0 then -- jump 10
pSwimSuitIndex = 1
 -- jump 46
end if -- jump 10 landing
if pSwimSuitIndex + tButtonDir > tMaxValue then -- jump 10
pSwimSuitIndex = tMaxValue
 -- jump 28
end if -- jump 10 landing
if pSwimSuitIndex + tButtonDir < 1 then -- jump 10
pSwimSuitIndex = 1
 -- jump 10
end if -- jump 10 landing
pSwimSuitIndex = pSwimSuitIndex + tButtonDir
end if -- jump 10 landing
end if -- jump 28 landing
end if -- jump 46 landing
if GetObject(#session).GET("user_sex")  = "F" then -- jump 10
tSetID = 20
 -- jump 7
end if -- jump 10 landing
tSetID = 10
end if -- jump 7 landing
tPartProps = GetObject("Figure_System_Pool").getColorOfPartByOrderNum(tPart, pSwimSuitIndex, tSetID, GetObject(#session).GET("user_sex"))
if tPartProps.ilk  = #propList then -- jump 21
tColor = rgb(tPartProps["color"])
pSwimSuitColor = tColor
end if -- jump 21 landing
me.createFigurePrew()
end

on eventProcUimakoppi me, tEvent, tSprID, tParam
if tEvent  = #mouseUp then -- jump 287
 --PEEKFROMSTACK 0 if tSprID  = "ph_swimsuit_exitbutton" then -- jump 44
me.closeUimaKoppi()
getConnection(getVariable("connection.room.id")).send("SWIMSUIT")
getConnection(getVariable("connection.room.id")).send("CLOSE_UIMAKOPPI")
 -- jump 234
end if -- jump 44 landing
 --PEEKFROMSTACK 0 
--nil--  = "ph_swimsuit_gobutton"
if --nil-- then -- jump 186
me.closeUimaKoppi()
tTempDelim = the itemDelimiter
the itemDelimiter = ","
tColor = string(pSwimSuitColor)
tR = value(tColor.getPropRef(#item, 1).getProp(#char, 5, tColor.getPropRef(#item, 1).length))
tG = value(tColor.getProp(#item, 2))
tB = value(tColor.getPropRef(#item, 3).getProp(#char, 1, tColor.getPropRef(#item, 3).length - 1))
the itemDelimiter = tTempDelim
tColor = tR & "," & tG & "," & tB
tswimsuit = "ch=" & pSwimSuitModel & "/" & tColor
getConnection(getVariable("connection.room.id")).send("SWIMSUIT", tswimsuit)
getConnection(getVariable("connection.room.id")).send("CLOSE_UIMAKOPPI")
 -- jump 43
end if -- jump 186 landing
 --PEEKFROMSTACK 0 
--nil--  = "ph_swimsuit.left.button"
if --nil-- then -- jump 17
me.changeSwimSuitColor("ch", -1)
 -- jump 21
end if -- jump 17 landing
 --PEEKFROMSTACK 0 
--nil--  = "ph_swimsuit.right.button"
if --nil-- then -- jump 13
me.changeSwimSuitColor("ch", 1)
end if -- jump 13 landing
end if -- jump 21 landing
end if -- jump 43 landing
end if -- jump 234 landing
 --TRIMFROMSTACK 1 
end if -- jump 287 landing
end

on showRoomBar me, tRoomData
tRoomInterface = getThread(#room).getInterface()
tRoomInterface.showRoomBar()
tRoomInterface.showVote()
return(1)
if not windowExists(pBottomBarId) then -- jump 368
createWindow(pBottomBarId, "room_bar.window", 0, 486)
tWndObj = getWindow(pBottomBarId)
if tWndObj.elementExists("chat_field_bg_long") then -- jump 69
tWidthLong = tWndObj.getElement("chat_field_bg_long").getProperty(#width)
tWidthShort = tWndObj.getElement("chat_field_bg_short").getProperty(#width)
tWndObj.getElement("chat_field").resizeBy(tWidthShort - tWidthLong, 0, 1)
tWndObj.getElement("chat_field_bg_long").hide()
end if -- jump 69 landing
tWndObj.lock(1)
tWndObj.registerClient(me.getID())
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseUp)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseDown)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #keyDown)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseWithin)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseUpOutSide)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseEnter)
tWndObj.registerProcedure(#eventProcRoomBar, me.getID(), #mouseLeave)
executeMessage(#messageUpdateRequest)
executeMessage(#buddyUpdateRequest)
if tWndObj.elementExists("int_drop_vote") then -- jump 75
tWndObj.getElement("int_drop_vote").feedImage(member(getmemnum("pelle_kyltti1")).image)
pSignState = void()
pOldPosH = -1
pOldPosV = -1
pSignImg = image(member(getmemnum("pelle_kyltti2")).width, member(getmemnum("pelle_kyltti2")).height, 16)
end if -- jump 75 landing
me.updateSoundButton()
registerMessage(#updateMessageCount, me.getID(), #updateMessageCount)
registerMessage(#updateBuddyrequestCount, me.getID(), #updateBuddyrequestCount)
return(1)
end if -- jump 368 landing
return(0)
end

on hideRoomBar me
unregisterMessage(#updateMessageCount, me.getID())
unregisterMessage(#updateBuddyrequestCount, me.getID())
if timeoutExists(#flash_messenger_icon) then -- jump 9
removeTimeout(#flash_messenger_icon)
end if -- jump 9 landing
if windowExists(pBottomBarId) then -- jump 13
return(removeWindow(pBottomBarId))
end if -- jump 13 landing
pSignImg = void()
return(1)
end

on deactivateChatField me
if not windowExists(pBottomBarId) then -- jump 8
return(0)
end if -- jump 8 landing
getWindow(pBottomBarId).getElement("chat_field").setEdit(0)
return(1)
end

on activateChatField me
if not windowExists(pBottomBarId) then -- jump 8
return(0)
end if -- jump 8 landing
getWindow(pBottomBarId).getElement("chat_field").setEdit(1)
return(1)
end

on updateMessageCount me, tMsgCount
if windowExists(pBottomBarId) then -- jump 24
pNewMsgCount = value(tMsgCount)
if pNewMsgCount > 0 then -- jump 9
me.flashMessengerIcon()
end if -- jump 9 landing
end if -- jump 24 landing
return(1)
end

on updateBuddyrequestCount me, tReqCount
if windowExists(pBottomBarId) then -- jump 24
pNewBuddyReq = value(tReqCount)
if pNewBuddyReq > 0 then -- jump 9
me.flashMessengerIcon()
end if -- jump 9 landing
end if -- jump 24 landing
return(1)
end

on flashMessengerIcon me
tWndObj = getWindow(pBottomBarId)
if tWndObj  = 0 then -- jump 8
return(0)
end if -- jump 8 landing
if not tWndObj.elementExists("int_messenger_image") then -- jump 8
return(0)
end if -- jump 8 landing
if pMessengerFlash then -- jump 13
tmember = "mes_lite_icon"
pMessengerFlash = 0
 -- jump 11
end if -- jump 13 landing
tmember = "mes_dark_icon"
pMessengerFlash = 1
end if -- jump 11 landing
if pNewMsgCount  = 0 and pNewBuddyReq  = 0 then -- jump 16
tmember = "mes_dark_icon"
removeTimeout(#flash_messenger_icon)
 -- jump 35
end if -- jump 16 landing
if not timeoutExists(#flash_messenger_icon) then -- jump 25
createTimeout(#flash_messenger_icon, 500, #flashMessengerIcon, me.getID(), void(), 0)
end if -- jump 25 landing
end if -- jump 35 landing
tWndObj.getElement("int_messenger_image").getProperty(#sprite).setMember(member(getmemnum(tmember)))
return(1)
end

on setTypingState me, tstate
tTimeoutTime = 2000
if tstate  = 0 then -- jump 34
if timeoutExists(pTypingTimeoutName) then -- jump 13
removeTimeout(pTypingTimeoutName)
 -- jump 11
end if -- jump 13 landing
me.sendTypingState(0)
end if -- jump 11 landing
 -- jump 42
end if -- jump 34 landing
if timeoutExists(pTypingTimeoutName) then -- jump 10
removeTimeout(pTypingTimeoutName)
end if -- jump 10 landing
createTimeout(pTypingTimeoutName, tTimeoutTime, #sendTypingState, me.getID(), 1, 1)
end if -- jump 42 landing
end

on sendTypingState me, tstate
tConn = getConnection(#Info)
if tstate  = 1 then -- jump 14
tConn.send("USER_START_TYPING")
 -- jump 11
end if -- jump 14 landing
tConn.send("USER_CANCEL_TYPING")
end if -- jump 11 landing
end

on eventProcRoomBar me, tEvent, tSprID, tParam
tWndObj = getWindow(pBottomBarId)
if tWndObj.getElement(tSprID).getProperty(#blend) < 100 then -- jump 8
return(0)
end if -- jump 8 landing
if tEvent  = #keyDown and tSprID  = "chat_field" then -- jump 367
tChatField = tWndObj.getElement("chat_field")
if the commandDown and the keyCode  = 8 or the keyCode  = 9 then -- jump 39
if not GetObject(#session).GET("user_rights").getOne("fuse_debug_window") then -- jump 17
tChatField.setText(EMPTY)
return(1)
end if -- jump 17 landing
end if -- jump 39 landing
if the keyCode  = 36 then -- jump 185
if pFloodblocking then -- jump 19
if the milliSeconds < pFloodTimer then -- jump 8
return(0)
end if -- jump 8 landing
 -- jump 9
end if -- jump 19 landing
pFloodEnterCount = void()
end if -- jump 9 landing
if voidp(pFloodEnterCount) then -- jump 16
pFloodEnterCount = 0
pFloodblocking = 0
pFloodTimer = the milliSeconds
 -- jump 82
end if -- jump 16 landing
pFloodEnterCount = pFloodEnterCount + 1
if pFloodEnterCount > 2 then -- jump 67
if the milliSeconds < pFloodTimer + 3000 then -- jump 49
tChatField.setText(EMPTY)
createObject("FloodBlocking", "Flood Blocking Class")
GetObject("FloodBlocking").Init(tChatField, 30000)
pFloodblocking = 1
pFloodTimer = the milliSeconds + 30000
 -- jump 9
end if -- jump 49 landing
pFloodEnterCount = void()
end if -- jump 9 landing
end if -- jump 67 landing
end if -- jump 82 landing
getThread(#room).getComponent().sendChat(tChatField.getText())
tChatField.setText(EMPTY)
if timeoutExists(pTypingTimeoutName) then -- jump 10
removeTimeout(pTypingTimeoutName)
end if -- jump 10 landing
return(1)
 -- jump 101
end if -- jump 185 landing
if the keyCode  = 117 then -- jump 34
if tChatField.getText() <> EMPTY then -- jump 11
me.setTypingState(0)
end if -- jump 11 landing
tChatField.setText(EMPTY)
 -- jump 60
end if -- jump 34 landing
if the keyCode  = 51 then -- jump 28
if tChatField.getText().length  = 1 then -- jump 11
me.setTypingState(0)
end if -- jump 11 landing
 -- jump 25
end if -- jump 28 landing
if tChatField.getText().length  = 0 then -- jump 12
me.setTypingState(1)
end if -- jump 12 landing
end if -- jump 25 landing
end if -- jump 60 landing
end if -- jump 101 landing
return(0)
end if -- jump 367 landing
if tEvent  = #mouseUp then -- jump 130
if tWndObj.getElement(tSprID).getProperty(#blend)  = 100 then -- jump 110
 --PEEKFROMSTACK 0 if tSprID  = "int_messenger_image" then -- jump 13
executeMessage(#show_hide_messenger)
 -- jump 88
end if -- jump 13 landing
 --PEEKFROMSTACK 0 
--nil--  = "int_nav_image"
if --nil-- then -- jump 13
executeMessage(#show_hide_navigator)
 -- jump 70
end if -- jump 13 landing
 --PEEKFROMSTACK 0 
--nil--  = "int_speechmode_dropmenu"
if --nil-- then -- jump 23
getThread(#room).getComponent().setChatMode(tParam)
 -- jump 42
end if -- jump 23 landing
 --PEEKFROMSTACK 0 
--nil--  = "int_purse_image"
if --nil-- then -- jump 16
executeMessage(#openGeneralDialog, #purse)
 -- jump 21
end if -- jump 16 landing
 --PEEKFROMSTACK 0 
--nil--  = "int_help_image"
if --nil-- then -- jump 13
executeMessage(#openGeneralDialog, #help)
end if -- jump 13 landing
end if -- jump 21 landing
end if -- jump 42 landing
end if -- jump 70 landing
end if -- jump 88 landing
 --TRIMFROMSTACK 1 
end if -- jump 110 landing
end if -- jump 130 landing
if tSprID  = "int_nav_image" then -- jump 64
if not objectExists(pPopupControllerID) then -- jump 13
pPopupController = createObject(pPopupControllerID, "Popup Controller Class")
end if -- jump 13 landing
tPopupController = GetObject(pPopupControllerID)
 --PEEKFROMSTACK 0 if tEvent <> #mouseEnter then -- jump 11
 --PEEKFROMSTACK 0 
--nil--  = #mouseLeave
if --nil-- then -- jump 16
end if -- jump 11 landing
tPopupController.handleEvent(tEvent, tSprID, tParam)
end if -- jump 16 landing
 --TRIMFROMSTACK 1 
end if -- jump 64 landing
if tEvent  = #mouseDown then -- jump 38
getWindow(pBottomBarId).lock(0)
getWindowManager().Activate(pBottomBarId)
getWindow(pBottomBarId).lock(1)
end if -- jump 38 landing
if tSprID  = "int_drop_vote" then -- jump 706
if tEvent  = #mouseDown then -- jump 83
tSignMem = member(getmemnum("pelle_kyltti2"))
tDropElem = tWndObj.getElement("int_drop_vote")
tDropElem.getProperty(#buffer).image = tSignMem.image.duplicate()
tDropElem.getProperty(#buffer).regPoint = point(0, 120)
tDropElem.setProperty(#height, tSignMem.height)
pSignState = 1
 -- jump 618
end if -- jump 83 landing
if tEvent  = #mouseUp then -- jump 151
tSignMem = member(getmemnum("pelle_kyltti1"))
tDropElem = tWndObj.getElement("int_drop_vote")
tDropElem.getProperty(#buffer).image = tSignMem.image.duplicate()
tDropElem.getProperty(#buffer).regPoint = point(0, 0)
tDropElem.setProperty(#height, tSignMem.height)
if voidp(pSignState) or pOldPosV < 7 then -- jump 55
tSignMode = pOldPosH * 7 + pOldPosV + 1
if tSignMode > 14 then -- jump 10
tSignMode = 14
 -- jump 15
end if -- jump 10 landing
if tSignMode < 1 then -- jump 7
tSignMode = 1
end if -- jump 7 landing
end if -- jump 15 landing
me.getComponent().sendSign(tSignMode)
end if -- jump 55 landing
pSignState = void()
 -- jump 462
end if -- jump 151 landing
if tEvent  = #mouseUpOutSide then -- jump 84
tSignMem = member(getmemnum("pelle_kyltti1"))
tDropElem = tWndObj.getElement("int_drop_vote")
tDropElem.getProperty(#buffer).image = tSignMem.image.duplicate()
tDropElem.getProperty(#buffer).regPoint = point(0, 0)
tDropElem.setProperty(#height, tSignMem.height)
pSignState = void()
 -- jump 373
end if -- jump 84 landing
if tEvent  = #mouseWithin then -- jump 365
if voidp(pSignState) then -- jump 7
return()
end if -- jump 7 landing
w = 40
h = 17
pSignState = 11
tSignMem = member(getmemnum("pelle_kyltti2"))
tDropElem = tWndObj.getElement("int_drop_vote")
tSpr = tDropElem.getProperty(#sprite)
if pOldPosH <> the mouseH - tSpr.left / w or pOldPosV <> the mouseV - tSpr.top / h then -- jump 270
if the mouseV - tSpr.top / h < 7 then -- jump 167
pOldPosH = the mouseH - tSpr.left / w
pOldPosV = the mouseV - tSpr.top / h
pSignImg.copyPixels(tSignMem.image, pSignImg.rect, pSignImg.rect)
tSignHiliterImg = member(getmemnum("kyltti_hiliter")).image
tSignHiliterImg = image(w, h, 16)
tSignHiliterImg.fill(tSignHiliterImg.rect, rgb(187, 187, 187))
pSignImg.copyPixels(tSignHiliterImg, tSignHiliterImg.rect + rect(w * pOldPosH + 1, h * pOldPosV + 1, w * pOldPosH + 1, h * pOldPosV + 1), tSignHiliterImg.rect, [#ink: 39])
 -- jump 53
end if -- jump 167 landing
pOldPosH = the mouseH - tSpr.left / w
pOldPosV = the mouseV - tSpr.top / h
pSignImg.copyPixels(tSignMem.image, pSignImg.rect, pSignImg.rect)
end if -- jump 53 landing
tDropElem.getProperty(#buffer).image = pSignImg
tDropElem.getProperty(#buffer).regPoint = point(0, 120)
end if -- jump 270 landing
end if -- jump 365 landing
end if -- jump 373 landing
end if -- jump 462 landing
end if -- jump 618 landing
end if -- jump 706 landing
end

on flipImage me, tImg_a
tImg_b = image(tImg_a.width, tImg_a.height, tImg_a.depth)
tQuad = [point(tImg_a.width, 0), point(0, 0), point(0, tImg_a.height), point(tImg_a.width, tImg_a.height)]
tImg_b.copyPixels(tImg_a, tQuad, tImg_a.rect)
return(tImg_b)
end

on updateSoundButton me
tWndObj = getWindow(pBottomBarId)
if tWndObj  = 0 then -- jump 8
return(0)
end if -- jump 8 landing
tstate = getSoundState()
tElem = tWndObj.getElement("int_sound_image")
if tElem <> 0 then -- jump 69
if tstate then -- jump 35
tMemNum = getmemnum("sounds_on_icon")
if tMemNum > 0 then -- jump 17
tElem.feedImage(member(tMemNum).image)
end if -- jump 17 landing
 -- jump 32
end if -- jump 35 landing
tMemNum = getmemnum("sounds_off_icon")
if tMemNum > 0 then -- jump 17
tElem.feedImage(member(tMemNum).image)
end if -- jump 17 landing
end if -- jump 32 landing
end if -- jump 69 landing
tElem = tWndObj.getElement("int_sound_bg_image")
if tElem <> 0 then -- jump 69
if tstate then -- jump 35
tMemNum = getmemnum("sounds_on_icon_sd")
if tMemNum > 0 then -- jump 17
tElem.feedImage(member(tMemNum).image)
end if -- jump 17 landing
 -- jump 32
end if -- jump 35 landing
tMemNum = getmemnum("sounds_off_icon_sd")
if tMemNum > 0 then -- jump 17
tElem.feedImage(member(tMemNum).image)
end if -- jump 17 landing
end if -- jump 32 landing
end if -- jump 69 landing
end
