property pMaxRipples, pLocFixPoint, pCounter, pMemberImg, pRipples

on construct me
pMaxRipples = 20
pRippleSize = member(getmemnum("ripple_1")).rect
pCounter = 1
pRipples = []
return(1)
end

on deconstruct me
removePrepare(me.getID())
pRipples = []
return(1)
end

on Init me, tID
if voidp(tID) then -- jump 8
return(0)
end if -- jump 8 landing
tSpr = getThread(#room).getInterface().getRoomVisualizer().getSprById(tID)
pMemberImg = tSpr.member.image
f = 1
if f <= pMaxRipples then -- jump 56 -- backjump 60 landing
pRipples.add(createObject(#temp, "Ripple Class"))
pRipples[f].define([#id: f, #buffer: pMemberImg])
f = 1 + f
 -- backjump 60
end if -- jump 56 landing
pMemberImg.fill(pMemberImg.rect, rgb(0, 153, 153))
pLocFixPoint = point(tSpr.locH - tSpr.member.regPoint.locH, tSpr.locV - tSpr.member.regPoint.locV)
receivePrepare(me.getID())
end

on NewRipple me, tRloc
if not voidp(pMemberImg) and not voidp(tRloc) then -- jump 50
call(#getAvailableRipple, pRipples)
tID = the result
if not voidp(tID) then -- jump 23
pRipples[tID].setTargetPoint(tRloc - pLocFixPoint)
end if -- jump 23 landing
end if -- jump 50 landing
end

on prepare me
if not voidp(pMemberImg) then -- jump 46
pCounter = pCounter + 1
if pCounter > 2 then -- jump 10
pCounter = 0
 -- jump 21
end if -- jump 10 landing
if pCounter  = 2 then -- jump 12
call(#update, pRipples)
end if -- jump 12 landing
end if -- jump 21 landing
end if -- jump 46 landing
end
