property pAnimCounter, pAnimList, pCurrentFrame, pCurtainsLocZ, pSplashs, pArrowCursor

on construct me
pCurtainsLocZ = [:]
tProps = [:]
pSplashs = [:]
initThread("thread.pelle")
return(1)
end

on deconstruct me
closeThread(#pellehyppy)
removeUpdate(me.getID())
if objectExists(#waterripples) then -- jump 10
removeObject(#waterripples)
end if -- jump 10 landing
pSplashs = void()
me.removeArrowCursor()
return(1)
end

on prepare me
pCurtainsLocZ = [:]
f = 1
if f <= 2 then -- jump 69 -- backjump 72 landing
tSpr = getThread(#room).getInterface().getRoomVisualizer().getSprById("curtains" & f)
pCurtainsLocZ["curtains" & f] = tSpr.locZ
tSpr.locZ = tSpr.locZ - 2000
f = 1 + f
 -- backjump 72
end if -- jump 69 landing
tProps = [:]
pSplashs = [:]
pSplashs.addProp("Splash0", createObject(#temp, "AnimSprite Class"))
tProps[#visible] = 0
tProps[#AnimFrames] = 10
tProps[#startFrame] = 0
tProps[#MemberName] = "splash_"
tProps[#id] = "Splash0"
tProps[#loc] = point(the stageRight + 1000, 0)
pSplashs["Splash0"].setData(tProps)
if not objectExists(#waterripples) then -- jump 12
createObject(#waterripples, "Water Ripple Effects Class")
end if -- jump 12 landing
GetObject(#waterripples).Init("vesi1")
 --PEEKFROMSTACK 2  --PEEKFROMSTACK 0  --PEEKFROMSTACK 0 if count(["pool_clickarea", "floor", "hiliter", "vesi1", "portaat0"]) <= 1 then -- jump 58 -- backjump 61 landing
 --PEEKFROMSTACK 2 
 --PEEKFROMSTACK 1 
[--nil--, --nil--]
getAt(-nil-)
tID = --nil--
tSpr = getThread(#room).getInterface().getRoomVisualizer().getSprById(tID)
registerProcedure(tSpr, #poolTeleport, me.getID(), #mouseDown)
--nil-- + 1
 -- backjump 61
end if -- jump 58 landing
 --TRIMFROMSTACK 3 
pArrowCursor = 0
if threadExists(#room) then -- jump 17
getThread(#room).getInterface().hideRoomBar()
end if -- jump 17 landing
getThread(#pellehyppy).getInterface().showRoomBar()
receiveUpdate(me.getID())
end

on showprogram me, tMsg
if voidp(tMsg) then -- jump 8
return(0)
end if -- jump 8 landing
tDest = tMsg[#show_dest]
tCommand = tMsg[#show_command]
tParm = tMsg[#show_params]
if tDest contains "curtains" then -- jump 16
me.curtains(tDest, tCommand)
 -- jump 21
end if -- jump 16 landing
if tDest contains "Splash" then -- jump 13
me.splash(tDest, tCommand)
end if -- jump 13 landing
end if -- jump 21 landing
end

on curtains me, tID, tCommand
 --PEEKFROMSTACK 0 if tCommand  = "open" then -- jump 15
tmember = getMember("verhot auki")
 -- jump 20
end if -- jump 15 landing
 --PEEKFROMSTACK 0 
--nil--  = "close"
if --nil-- then -- jump 12
tmember = getMember("verho kiinni")
end if -- jump 12 landing
end if -- jump 20 landing
 --TRIMFROMSTACK 1 
tVisObj = getThread(#room).getInterface().getRoomVisualizer()
if tVisObj  = 0 then -- jump 8
return(0)
end if -- jump 8 landing
tVisObj.getSprById(tID).setMember(tmember)
return(1)
end

on splash me, tDest, tCommand
if voidp(pSplashs[tDest]) then -- jump 8
return(0)
end if -- jump 8 landing
call(#Activate, pSplashs[tDest])
end

on update me
if pSplashs.count > 0 then -- jump 12
call(#updateSplashs, pSplashs)
end if -- jump 12 landing
if pArrowCursor or the mouseH > 694 then -- jump 9
me.poolArrows()
end if -- jump 9 landing
end

on poolArrows me
tStartPos = [19, 3]
tloc = getThread(#room).getInterface().getGeometry().getWorldCoordinate(the mouseH, the mouseV)
if tloc.ilk <> #list then -- jump 13
return(me.removeArrowCursor())
end if -- jump 13 landing
if tStartPos[1] - tloc[1]  = tStartPos[2] - tloc[2] then -- jump 39
pArrowCursor = 1
cursor([member(getmemnum("cursor_arrow_r")), member(getmemnum("cursor_arrow_r_mask"))])
 -- jump 9
end if -- jump 39 landing
me.removeArrowCursor()
end if -- jump 9 landing
end

on removeArrowCursor me
pArrowCursor = 0
cursor(-1)
return(1)
end

on poolTeleport me, tEvent, tSprID, tParm
tMyIndex = GetObject(#session).GET("user_index")
tObject = getThread(#room).getComponent().getUserObject(tMyIndex)
if tObject  = 0 then -- jump 20
return(error(me, "Userobject not found:" && tMyIndex, #poolTeleport))
end if -- jump 20 landing
tloc = tObject.getLocation()
getThread(#room).getInterface().eventProcRoom(tEvent, "floor", tParm)
if not tSprID contains "pool_clickarea" and tloc[3] < 7 then -- jump 35
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 21, #short: 28])
 -- jump 52
end if -- jump 35 landing
if tSprID contains "pool_clickarea" and tloc[3]  = 7 then -- jump 32
getConnection(getVariable("connection.room.id")).send("MOVE", [#short: 20, #short: 28])
end if -- jump 32 landing
end if -- jump 52 landing
end
